Commit 09401426 authored by Philip Withnall's avatar Philip Withnall

modulesets: Remove unnecessary ‘version’ attribute from autotools elements

It isn’t in the schema, and doesn’t appear to be used by the Python. It
duplicates the same attribute already on the <branch> element.

Helps: https://bugzilla.gnome.org/show_bug.cgi?id=696184
parent 6ed4fb5f
......@@ -157,7 +157,7 @@
</dependencies>
</tarball>
<autotools id="gssdp" version="0.10.0">
<autotools id="gssdp">
<branch module="gssdp-0.10.0.tar.gz" version="0.10.0"
repo="gupnp.org"
hash="sha256:94de92bb4f7906ed2f047b0146a3b21d53d09908fe1f0149484f61c6afc598ea"
......
......@@ -844,7 +844,7 @@
<!-- explicit disabling of qt3 and qt4 can be removed once avahi
correctly detects what is available. -->
<autotools id="avahi" version="0.6.31" autogen-sh="configure"
<autotools id="avahi" autogen-sh="configure"
autogenargs="--disable-gtk --disable-gtk3 --enable-introspection=no --disable-qt3 --disable-qt4 --disable-mono --disable-monodoc --disable-manpages --disable-python --enable-compat-howl --enable-compat-libdns_sd --with-systemdsystemunitdir=no">
<pkg-config>avahi-ui-gtk3.pc</pkg-config>
<branch repo="avahi.org" module="avahi-0.6.31.tar.gz" version="0.6.31"
......
......@@ -889,7 +889,7 @@
<!-- explicit disabling of qt3 and qt4 can be removed once avahi
correctly detects what is available. -->
<autotools id="avahi" version="0.6.31" autogen-sh="configure"
<autotools id="avahi" autogen-sh="configure"
autogenargs="--disable-gtk --enable-gtk3 --enable-introspection=no --disable-qt3 --disable-qt4 --disable-mono --disable-monodoc --disable-manpages --disable-python --enable-compat-howl --enable-compat-libdns_sd --with-systemdsystemunitdir=no">
<pkg-config>avahi-ui-gtk3.pc</pkg-config>
<branch repo="avahi.org" module="avahi-0.6.31.tar.gz" version="0.6.31"
......
......@@ -899,7 +899,7 @@
<!-- explicit disabling of qt3 and qt4 can be removed once avahi
correctly detects what is available. -->
<autotools id="avahi" version="0.6.31" autogen-sh="configure"
<autotools id="avahi" autogen-sh="configure"
autogenargs="--disable-gtk --enable-gtk3 --enable-introspection=no --disable-qt3 --disable-qt4 --disable-mono --disable-monodoc --disable-manpages --disable-python --enable-compat-howl --enable-compat-libdns_sd --with-systemdsystemunitdir=no">
<pkg-config>avahi-ui-gtk3.pc</pkg-config>
<branch repo="avahi.org" module="avahi-0.6.31.tar.gz" version="0.6.31"
......
......@@ -844,7 +844,7 @@
<!-- explicit disabling of qt3 and qt4 can be removed once avahi
correctly detects what is available. -->
<autotools id="avahi" version="0.6.31" autogen-sh="configure"
<autotools id="avahi" autogen-sh="configure"
autogenargs="--disable-gtk --disable-gtk3 --enable-introspection=no --disable-qt3 --disable-qt4 --disable-mono --disable-monodoc --disable-manpages --disable-python --enable-compat-howl --enable-compat-libdns_sd --with-systemdsystemunitdir=no">
<pkg-config>avahi-ui-gtk3.pc</pkg-config>
<branch repo="avahi.org" module="avahi-0.6.31.tar.gz" version="0.6.31"
......
......@@ -384,7 +384,7 @@
</dependencies>
</autotools>
<autotools id="gnutls" version="2.10.2" autogenargs="--enable-guile=no">
<autotools id="gnutls" autogenargs="--enable-guile=no">
<branch module="gnutls/gnutls-2.10.2.tar.bz2" version="2.10.2"
repo="ftp.gnu.org"
hash="sha256:e82e7a3fc69b02cc06c291a1652789d73e45bc0732e139817838248f814f8724"
......
......@@ -97,7 +97,7 @@
</dependencies>
</autotools>
<autotools id="geoip" version="1.4.8" skip-autogen="never" autogen-sh="autoreconf">
<autotools id="geoip" skip-autogen="never" autogen-sh="autoreconf">
<branch repo="maxmind.com"
module="geoip/api/c/GeoIP-1.4.8.tar.gz" version="1.4.8"
hash="sha256:cf0f6b2bac1153e34d6ef55ee3851479b347d2b5c191fda8ff6a51fab5291ff4"
......@@ -222,7 +222,7 @@
</dependencies>
</autotools>
<autotools id="sound-theme-freedesktop" version="0.8">
<autotools id="sound-theme-freedesktop">
<branch repo="people.freedesktop.org"
module="~mccann/dist/sound-theme-freedesktop-0.8.tar.bz2"
version="0.8"
......
......@@ -450,7 +450,7 @@
</dependencies>
</autotools>
<autotools id="gnutls" version="2.10.2" autogenargs="--enable-guile=no">
<autotools id="gnutls" autogenargs="--enable-guile=no">
<pkg-config>gnutls.pc</pkg-config>
<branch module="gnutls/gnutls-2.10.2.tar.bz2" version="2.10.2"
repo="ftp.gnu.org"
......
......@@ -379,7 +379,7 @@
</dependencies>
</autotools>
<autotools id="gmime" version="2.6.6">
<autotools id="gmime">
<branch repo="gnome.org"
module="gmime/2.6/gmime-2.6.6.tar.xz"
version="2.6.6"
......
......@@ -435,7 +435,7 @@
</dependencies>
</autotools>
<autotools id="gmime" version="2.6.6">
<autotools id="gmime">
<branch repo="gnome.org"
module="gmime/2.6/gmime-2.6.6.tar.xz"
version="2.6.6"
......
......@@ -97,7 +97,7 @@
</dependencies>
</autotools>
<autotools id="geoip" version="1.4.8" skip-autogen="never" autogen-sh="autoreconf">
<autotools id="geoip" skip-autogen="never" autogen-sh="autoreconf">
<branch repo="maxmind.com"
module="geoip/api/c/GeoIP-1.4.8.tar.gz" version="1.4.8"
hash="sha256:cf0f6b2bac1153e34d6ef55ee3851479b347d2b5c191fda8ff6a51fab5291ff4"
......@@ -222,7 +222,7 @@
</dependencies>
</autotools>
<autotools id="sound-theme-freedesktop" version="0.8">
<autotools id="sound-theme-freedesktop">
<branch repo="people.freedesktop.org"
module="~mccann/dist/sound-theme-freedesktop-0.8.tar.bz2"
version="0.8"
......
......@@ -139,7 +139,7 @@
</dependencies>
</tarball>
<autotools id="gnutls" version="2.12.8" autogenargs="--enable-guile=no --with-libgcrypt">
<autotools id="gnutls" autogenargs="--enable-guile=no --with-libgcrypt">
<branch module="gnutls/gnutls-2.12.8.tar.bz2" version="2.12.8"
repo="ftp.gnu.org"
hash="sha256:c1bcb3c90a76e0c4c5c953ec1fb4e5e318e59afefc24fbec21c1741bf652b262"
......@@ -292,7 +292,7 @@
</dependencies>
</autotools>
<autotools id="libical" version="0.43" autogen-sh="configure">
<autotools id="libical" autogen-sh="configure">
<pkg-config>libical.pc</pkg-config>
<branch repo="sourceforge.net"
module="freeassociation/libical-0.43.tar.gz"
......@@ -478,7 +478,7 @@
</dependencies>
</autotools>
<autotools id="sound-theme-freedesktop" version="0.7">
<autotools id="sound-theme-freedesktop">
<branch repo="people.freedesktop.org"
module="~mccann/dist/sound-theme-freedesktop-0.7.tar.bz2"
version="0.7"
......
......@@ -142,7 +142,7 @@
</dependencies>
</tarball>
<autotools id="gnutls" version="2.12.8" autogenargs="--enable-guile=no --with-libgcrypt">
<autotools id="gnutls" autogenargs="--enable-guile=no --with-libgcrypt">
<pkg-config>gnutls.pc</pkg-config>
<branch module="gnutls/gnutls-2.12.8.tar.bz2" version="2.12.8"
repo="ftp.gnu.org"
......@@ -316,7 +316,7 @@
</dependencies>
</autotools>
<autotools id="libical" version="0.43" autogen-sh="configure">
<autotools id="libical" autogen-sh="configure">
<pkg-config>libical.pc</pkg-config>
<branch repo="sourceforge.net"
module="freeassociation/libical-0.43.tar.gz"
......@@ -478,7 +478,7 @@
</dependencies>
</autotools>
<autotools id="sound-theme-freedesktop" version="0.8">
<autotools id="sound-theme-freedesktop">
<branch repo="people.freedesktop.org"
module="~mccann/dist/sound-theme-freedesktop-0.8.tar.bz2"
version="0.8"
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment